service-footprint-glec
Retrieve the list of GLEC service footprint
Fetch the list of GLEC service footprint.
GET
/
api
/
v1
/
service-footprint
/
glec
Retrieve the list of GLEC service footprint
curl --request GET \
--url https://www.manglai.io/api/v1/service-footprint/glec \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.manglai.io/api/v1/service-footprint/glec"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.manglai.io/api/v1/service-footprint/glec', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"authorship": {
"lastImpersonatedBy": "<string>",
"lastModifiedBy": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"roles": [
"<string>"
],
"isLoggedIn": true,
"language": "<string>",
"company": {
"classification": "<string>"
}
},
"owner": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"roles": [
"<string>"
],
"isLoggedIn": true,
"language": "<string>",
"company": {
"classification": "<string>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"validation": {}
},
"id": "<string>",
"companyId": "<string>",
"clientId": "<string>",
"externalId": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"load": 123,
"loadUnit": "mt",
"from": "<string>",
"to": "<string>",
"distance": 123,
"actions": [
{
"id": "<string>",
"mode": "<string>",
"vehicleId": "<string>",
"from": "<string>",
"to": "<string>",
"distance": 123,
"load": 123,
"loadUnit": "mt",
"energyQuantity": "<string>",
"driver": "<string>",
"emission": 123,
"emissions": [
{
"emission": 123,
"emissionFactorSnapshot": {
"id": "<string>",
"countryCode": "<string>",
"entityName": "<string>",
"year": 123,
"emissionFactor": 123,
"conversion": "<string>",
"description": "<string>",
"entity": {
"fuelType": "<string>",
"fuelLifeCycle": "<string>"
},
"origin": "<string>",
"source": "<string>",
"unit": "<string>",
"unitType": "<string>",
"status": "<string>"
}
}
],
"sourceEmission": {
"energy": 123,
"distance": 123
},
"sourceEmissions": {
"energy": [
{
"emission": 123,
"emissionFactorSnapshot": {
"id": "<string>",
"countryCode": "<string>",
"entityName": "<string>",
"year": 123,
"emissionFactor": 123,
"conversion": "<string>",
"description": "<string>",
"entity": {
"fuelType": "<string>",
"fuelLifeCycle": "<string>"
},
"origin": "<string>",
"source": "<string>",
"unit": "<string>",
"unitType": "<string>",
"status": "<string>"
}
}
],
"distance": [
{
"emission": 123,
"emissionFactorSnapshot": {
"id": "<string>",
"countryCode": "<string>",
"entityName": "<string>",
"year": 123,
"emissionFactor": 123,
"conversion": "<string>",
"description": "<string>",
"entity": {
"vehicleType": "<string>",
"vehicleCategoryType": "<string>",
"fuelType": "<string>",
"fuelLifeCycle": "<string>"
},
"origin": "<string>",
"source": "<string>",
"unit": "<string>",
"unitType": "<string>",
"status": "<string>"
}
}
]
}
}
],
"emission": 123,
"emissionByScope": {
"scope-1": 123,
"scope-3": 123
},
"sourceEmission": {
"energy": 123,
"distance": 123
},
"sourceEmissionByScope": {
"energy": {
"scope-1": 123,
"scope-3": 123
},
"distance": {
"scope-1": 123,
"scope-3": 123
}
}
}
],
"pagination": {
"total": 123,
"page": 123,
"limit": 123
}
}Autorizaciones
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parámetros de consulta
The unique identifier of the company.
The unique identifier of the client.
The unique identifier of the vehicle.
The unique identifier of the external service footprint entry.
The start date of the period.
The end date of the period.
The unique identifier of the supplier.
⌘I
Retrieve the list of GLEC service footprint

